Evaluates a curve at a parameter.
Rhino.EvaluateCurve (strObject, dblParameter [, intIndex)
strObject |
Required. String. The object's identifier. |
dblParameter |
Required. Number. The parameter to evaluate. |
intIndex |
Optional. Number. If strObject identifies a polycurve object, then intIndex identifies the curve segment of the polycurve to query. |
Array |
A 3-D point if successful. |
Null |
If not successful, or on error. |
Dim strObject, arrDomain, dblParam, arrPoint
strObject = Rhino.GetObject("Select a curve")
If Rhino.IsCurve(strObject) Then
arrDomain = Rhino.CurveDomain(strObject)
dblParam = arrDomain(1)/2
arrPoint = Rhino.EvaluateCurve(strObject, dblParam)
Rhino.AddPoint arrPoint
End If